org.apache.ignite.internal.processors.cache.transactions

## Class IgniteTxRemoteSingleStateImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.transactions.IgniteTxRemoteStateAdapter
  - - org.apache.ignite.internal.processors.cache.transactions.IgniteTxRemoteSingleStateImpl

All Implemented Interfaces:
  IgniteTxRemoteState, IgniteTxState

    public class IgniteTxRemoteSingleStateImpl
    extends IgniteTxRemoteStateAdapter

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.transactions.IgniteTxRemoteStateAdapter

`mvccEnabled`

### Constructor Summary

Constructors
Constructor and Description
`IgniteTxRemoteSingleStateImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addWriteEntry(IgniteTxKey key, IgniteTxEntry e)`
`Collection<IgniteTxEntry>` `allEntries()`
`void` `clearEntry(IgniteTxKey key)`
`boolean` `empty()`
`IgniteTxEntry` `entry(IgniteTxKey key)`
`boolean` `hasWriteKey(IgniteTxKey key)`
`void` `invalidPartition(int cacheId, int part, GridCacheVersion ver)`
`Collection<IgniteTxEntry>` `readEntries()`
`Map<IgniteTxKey,IgniteTxEntry>` `readMap()`
`Set<IgniteTxKey>` `readSet()`
`@Nullable IgniteTxEntry` `singleWrite()`
`Collection<CacheStoreManager>` `stores(GridCacheSharedContext cctx)`
`String` `toString()`
`void` `unwindEvicts(GridCacheSharedContext cctx)` Unwind evicts for caches involved in this transaction.
`Collection<IgniteTxEntry>` `writeEntries()`
`Map<IgniteTxKey,IgniteTxEntry>` `writeMap()`
`Set<IgniteTxKey>` `writeSet()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.transactions.IgniteTxRemoteStateAdapter

`addActiveCache, awaitLastFuture, cacheIds, firstCacheId, hasInterceptor, implicitSingle, mvccEnabled, onTxEnd, singleCacheContext, storeWriteThrough, syncMode, topologyReadLock, topologyReadUnlock, useMvccCaching, validateTopology`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteTxRemoteSingleStateImpl

    public IgniteTxRemoteSingleStateImpl()

### Method Detail

#### unwindEvicts

    public void unwindEvicts(GridCacheSharedContext cctx)

Unwind evicts for caches involved in this transaction.

Parameters:
  `cctx` - Grid cache shared context.

#### addWriteEntry

    public void addWriteEntry(IgniteTxKey key,
                              IgniteTxEntry e)

Parameters:
  `key` - Key.
  `e` - Entry.

#### clearEntry

    public void clearEntry(IgniteTxKey key)

Parameters:
  `key` - Entry key.

#### entry

    public IgniteTxEntry entry(IgniteTxKey key)

Parameters:
  `key` - Key.
Returns:
  Entry.

#### hasWriteKey

    public boolean hasWriteKey(IgniteTxKey key)

Parameters:
  `key` - Key.
Returns:
  `True` if tx has write key.

#### readSet

    public Set<IgniteTxKey> readSet()

Returns:
  Read entries keys.

#### writeSet

    public Set<IgniteTxKey> writeSet()

Returns:
  Write entries keys.

#### writeEntries

    public Collection<IgniteTxEntry> writeEntries()

Returns:
  Write entries.

#### readEntries

    public Collection<IgniteTxEntry> readEntries()

Returns:
  Read entries.

#### writeMap

    public Map<IgniteTxKey,IgniteTxEntry> writeMap()

Returns:
  Write entries map.

#### readMap

    public Map<IgniteTxKey,IgniteTxEntry> readMap()

Returns:
  Read entries map.

#### empty

    public boolean empty()

Returns:
  `True` if transaction is empty.

#### allEntries

    public Collection<IgniteTxEntry> allEntries()

Returns:
  All entries.

#### singleWrite

    @Nullable
    public @Nullable IgniteTxEntry singleWrite()

Returns:
  Non-null entry if tx has only one write entry.

#### invalidPartition

    public void invalidPartition(int cacheId,
                                 int part,
                                 GridCacheVersion ver)

Parameters:
  `cacheId` - Cache id.
  `part` - Partition number.
  `ver` - Lock version.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### stores

    public Collection<CacheStoreManager> stores(GridCacheSharedContext cctx)

Parameters:
  `cctx` - Context.
Returns:
  Configured stores for active caches.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021